May 11, 2021, 01:45:45 AM

News:

--


resize filter

Started by timtas, May 09, 2017, 01:45:36 AM

Previous topic - Next topic

timtas

Quote from: eumagga0x2a on June 15, 2017, 06:10:38 PM
Quote from: timtas on June 14, 2017, 09:09:09 PM
I have qt installed in /opt/qt5, maybe that is a problem?

Inspecting build logs and cmake messages would allow to answer this question. CMakeLists.txt files both in avidemux2/avidemux/qt4 and in avidemux2/avidemux_plugins use the same cmake macros to find qt. It could be an issue though if the fakeroot directory (usually avidemux2/install wasn't deleted between compilation runs. Changes in avidemux2/cmake wouldn't have effect as existing cmake files from the fakeroot folder would be used for building plugins.

I tried again, with no success again. I have captured the cmake output for the qt plugins configuration. What I noticed: it does not even check for qt5. Before, in the core step, it does check:

-- Checking Qt
-- Checking for Qt 5*
-- ******************
--   Checking for Qt5Core
--   Checking for Qt5Widgets
--   Checking for Qt5Network
--   Qt5 found
-- QT5_INCLUDES     : /opt/qt5/include/;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include/QtWidgets;/opt/qt5/include/;/opt/qt5/include/QtNetwork;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++
-- QT5_DEFINITIONS  :
-- QT5_INCLUDES     : /opt/qt5/include/;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include/QtWidgets;/opt/qt5/include/;/opt/qt5/include/QtNetwork;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++
-- QT5_LIBS         : Qt5::Core : Qt5::Widgets : Qt5::Network
--   Checking for Qt5OpenGL
--   Found,include=, libs=


-- Checking for OpenGL
-- *******************
-- Found QtOpenGL
-- Could NOT find OpenGL (missing:  OPENGL_gl_LIBRARY OPENGL_INCLUDE_DIR)
Could not find OpenGL

-- Adding Qt inc paths : </opt/qt5/include/;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include;/opt/qt5/include/;/opt/qt5/include/QtWidgets;/opt/qt5/include/QtGui;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++;/opt/X11/include/QtWidgets;/opt/qt5/include/;/opt/qt5/include/QtNetwork;/opt/qt5/include/QtCore;/opt/qt5/.//mkspecs/linux-g++> and definitions <-DQT_CORE_LIB;-DQT_WIDGETS_LIB;-DQT_GUI_LIB;-DQT_CORE_LIB;-DQT_NETWORK_LIB;-DQT_CORE_LIB>
-- qt5 config.h generated


Could it be that the failure to detect OpenGL here leads to dropping qt support in the plugins later?